io.netty.handler.codec.redis

## Class FixedRedisMessagePool

- java.lang.Object
- - io.netty.handler.codec.redis.FixedRedisMessagePool

All Implemented Interfaces:
  RedisMessagePool

    @UnstableApi
    public final class FixedRedisMessagePool
    extends Object
    implements RedisMessagePool

A default fixed redis message pool.

### Nested Class Summary

Nested Classes
`static class` `FixedRedisMessagePool.RedisErrorKey`
`static class` `FixedRedisMessagePool.RedisReplyKey`

### Field Summary

Fields
`static FixedRedisMessagePool` `INSTANCE` A shared object for `FixedRedisMessagePool`.

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getByteBufOfInteger(long value)` Returns `byte[]` for given `msg`.
`ErrorRedisMessage` `getError(io.netty.buffer.ByteBuf content)` Returns `ErrorRedisMessage` for given `content`.
`ErrorRedisMessage` `getError(FixedRedisMessagePool.RedisErrorKey key)` Returns `ErrorRedisMessage` for the given `FixedRedisMessagePool.RedisErrorKey` or `null` if it does not exist.
`ErrorRedisMessage` `getError(String content)` Returns `ErrorRedisMessage` for given `content`.
`IntegerRedisMessage` `getInteger(io.netty.buffer.ByteBuf content)` Returns `IntegerRedisMessage` for given `content`.
`IntegerRedisMessage` `getInteger(long value)` Returns `IntegerRedisMessage` for given `value`.
`SimpleStringRedisMessage` `getSimpleString(io.netty.buffer.ByteBuf content)` Returns `SimpleStringRedisMessage` for given `content`.
`SimpleStringRedisMessage` `getSimpleString(FixedRedisMessagePool.RedisReplyKey key)` Returns `SimpleStringRedisMessage` for the given `FixedRedisMessagePool.RedisReplyKey` or `null` if it does not exist.
`SimpleStringRedisMessage` `getSimpleString(String content)` Returns `SimpleStringRedisMessage` for given `content`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final FixedRedisMessagePool INSTANCE

A shared object for `FixedRedisMessagePool`.

### Method Detail

#### getSimpleString

    public SimpleStringRedisMessage getSimpleString(String content)

Description copied from interface: `RedisMessagePool`
Returns `SimpleStringRedisMessage` for given `content`. Returns `null` it does not exist.

Specified by:
  `getSimpleString` in interface `RedisMessagePool`

#### getSimpleString

    public SimpleStringRedisMessage getSimpleString(FixedRedisMessagePool.RedisReplyKey key)

Returns `SimpleStringRedisMessage` for the given `FixedRedisMessagePool.RedisReplyKey` or `null` if it does not exist.

#### getSimpleString

    public SimpleStringRedisMessage getSimpleString(io.netty.buffer.ByteBuf content)

Description copied from interface: `RedisMessagePool`
Returns `SimpleStringRedisMessage` for given `content`. Returns `null` it does not exist.

Specified by:
  `getSimpleString` in interface `RedisMessagePool`

#### getError

    public ErrorRedisMessage getError(String content)

Description copied from interface: `RedisMessagePool`
Returns `ErrorRedisMessage` for given `content`. Returns `null` it does not exist.

Specified by:
  `getError` in interface `RedisMessagePool`

#### getError

    public ErrorRedisMessage getError(FixedRedisMessagePool.RedisErrorKey key)

Returns `ErrorRedisMessage` for the given `FixedRedisMessagePool.RedisErrorKey` or `null` if it does not exist.

#### getError

    public ErrorRedisMessage getError(io.netty.buffer.ByteBuf content)

Description copied from interface: `RedisMessagePool`
Returns `ErrorRedisMessage` for given `content`. Returns `null` it does not exist.

Specified by:
  `getError` in interface `RedisMessagePool`

#### getInteger

    public IntegerRedisMessage getInteger(long value)

Description copied from interface: `RedisMessagePool`
Returns `IntegerRedisMessage` for given `value`. Returns `null` it does not exist.

Specified by:
  `getInteger` in interface `RedisMessagePool`

#### getInteger

    public IntegerRedisMessage getInteger(io.netty.buffer.ByteBuf content)

Description copied from interface: `RedisMessagePool`
Returns `IntegerRedisMessage` for given `content`. Returns `null` it does not exist.

Specified by:
  `getInteger` in interface `RedisMessagePool`

#### getByteBufOfInteger

    public byte[] getByteBufOfInteger(long value)

Description copied from interface: `RedisMessagePool`
Returns `byte[]` for given `msg`. Returns `null` it does not exist.

Specified by:
  `getByteBufOfInteger` in interface `RedisMessagePool`